Subject: Re: [RFC] Support UTF-8 characters in Git alias names

From: "Theodore Tso" <[email-masked]>
Date: Mon, 9 Feb 2026 08:59:17 -0500

I would just note that Unicode normalization can be *tricky*.  The
fact that ext4 case folding would do Unicode normaliation was
sufficient to trigger a CVE that resulted a security vulnerability in
git. Of course, who would be insane enough to use git on a case
folded file system (aside from someone running git instead Termux on
an Android device, that is....)?

So I'd suggest that git folks think very carefully before trying to
dive into the insanity which is Unicode.  It might be a very strong
nice-to-have for certain user communities, but it's also a mess.

	     	 	      		   - Ted